API Explorer 48 endpoints

Create new another_entity

POST /obp/dynamic-entity/another_entity

OBPv4.0.0-dynamicEntity_createanother_entity_ Roles: CanCreateDynamicEntityRecord_another_entity(per bank) _Another_entityDynamic-EntityDynamic

Create new another_entity.

Mything

Property List:

  • some_id: (uu)id
  • status_code: in_progress, verified, failed
  • status_message: further explanation of status code
  • authority: name of authority that verified the ownership

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"another_entity"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "some_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "status_code": "verified",
  "status_message": "could not find owner",
  "authority": "authority"
}
Example success response
{
  "another_entity": {
    "another_entity_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "some_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "status_code": "verified",
    "status_message": "could not find owner",
    "authority": "authority"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createanother_entity_ Originally /another_entity